Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

Rake 0.9 Support #1

Merged
merged 3 commits into from

2 participants

@tobsch

Hi there,

just did a little patch to make Swineherd work with rake 0.9.

Hope it's okay for you.

Best,

Tobias

@tobsch

Okay. Now it's clean.

@thedatachef thedatachef merged commit 8523728 into from
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on May 30, 2011
  1. @tobsch

    rake 0.9 support

    tobsch authored
  2. @tobsch

    another rake 0.9 fix

    tobsch authored
Commits on May 31, 2011
  1. @tobsch
This page is out of date. Refresh to see the latest.
View
3  lib/swineherd.rb
@@ -8,4 +8,7 @@ module Swineherd
autoload :FileSystem, 'swineherd/filesystem'
autoload :Script, 'swineherd/script'
autoload :Workflow, 'swineherd/workflow'
+
+ # For rake 0.9 compatibility
+ include Rake::DSL if defined?(Rake::DSL)
end
View
1  lib/swineherd/script.rb
@@ -6,6 +6,7 @@ module Script
autoload :RScript, 'swineherd/script/r_script'
module Common
+
attr_accessor :input, :output, :options, :attributes
def initialize(source, input = [], output = [], options = {}, attributes ={})
@source = source
View
2  lib/swineherd/workflow.rb
@@ -1,7 +1,7 @@
module Swineherd
class Workflow
attr_accessor :workdir, :outputs, :output_counts
-
+
#
# Create a new workflow and new namespace for this workflow
#
Something went wrong with that request. Please try again.